```
Date: 05 Apr 2012 18:57
Topic: For Love Of Ideas About Page
Modified: 25 Dec 2014 14:05
```

I love ideas. Not just any ideas, but the most important ones. I want to talk about the ideas that drive us forward, pull us backward, push us sideways, send us careening off cliffs and climbing mountains, as well as hiding under our beds and looking over our shoulders. The ideas that become the solid containers into which we pour our very lives.

This podcast is how I’ve decided to talk about them. It is going to be about what these ideas are, where they came from, why they matter, and how we use them in practice. It’s going to be about studying them, understanding them, evaluating them, observing them, and implementing them. It’s going to be about how they stand on their own, how they relate to each other, and how we relate to them.

Most importantly, it’s going to be about acting on them. Knowing what we’re acting on, why we’re acting on it, and what we’re saying about ourselves when we do. If ideas matter, they matter most in how they’re expressed, and they’re expressed best through our actions. To do this, I will mostly be talking about myself. About my own experiences. About my own attempts to use the ideas I talk about here, and the effect that they’ve had in my life. The changes I’ve had to make, the problems I’ve encountered, and the ways in which I’ve either solved those problems, or failed to.

This podcast was inspired by two sources. The first, Mortimer Adler, and his amazing “The Great Ideas” series (also known as the Syntopicon in the old Encyclopedia Britannica). It had a huge influence on me when I was young, and I’ll be cribbing from his list a lot. It’s impossible not to borrow from him, I think. His list is a huge part of what most philosophers do, and ideas like ‘judgment’, ‘science’, ‘sense’, ‘beauty’, and ‘habit’ are essential to what I want to talk about.

But one thing that’s always frustrated me about his work. It’s extremely abstract. You’ll learn all about what the greatest minds in history have said about these ideas, but there will be no clear path from there, to where they show up in your own life – in how you ought to change your own behavior according to these ideas. Adler liked to say “Philosophy is everybody’s business,” and he did a beautiful job of making the loftiest concepts accessible to anyone able to read and write. But I think he missed something essential. Business is done, not just thought about. As Arnold Glasgow said, “An idea not coupled with action will never get any bigger than the brain cell it occupied.”

This is where the second greatest influence in my life, and the second most important source for this podcast, comes in. He’s perhaps not a philosopher you’ve heard of (unless you’re active in the Libertarian community). But his work in that arena is probably the most important since Adam Smith or Henry David Thoreau. His name is Stefan Molyneux, and he runs a philosophy podcast called Freedomain Radio. He’s the missing link between thought and action; between theory and practice; between concepts and reality. He makes ideas not only actionable, but personal. He urges us to constantly examine ourselves, our relationships, and our environment, to be sure that what we actually do, is what we say we want – and to find ways to change things until “the outside matches the inside.”

For Love Of Ideas is my attempt to do just that. If we are to know how to act – how to make the inside and outside match, we need to know which ideas are the good ones, which are the bad ones, and how to tell the difference. We need a starting point to think about them, and to consider how they’ve influenced our behavior up to now. We need to be conscious of them when they are at play in our lives.

Somewhere between the purely disinterested consideration of men like Adler, and the passionate advocacy of men like Molyneux, lies the meaty middle-ground of earnest study, self-reflection, and personal commitment to change. That is why For Love Of Ideas needs to exist, and that is why I am doing this.

I hope you’ll come to agree.
