```
Date: 10 Apr 2012 18:55
Topic: For Love Of Ideas Introduction Post 
Modified: 25 Dec 2014 14:05
```

“It is always better to have no ideas than false ones; to believe nothing, than to believe what is wrong.” ~ Thomas Jefferson

I want to talk to you about ideas. It sounds ridiculously simple, but it’s amazing just how difficult a project like this can be. The concept is so lofty, and so prone to dissipation into clouds of abstraction that nearly everyone who tries it ends up no better off than when he started. Many a philosopher has spent immeasurable amounts of energy, and innumerable hours noodling on the nature of belief, the vagaries of existence, and the gray edges of morality, never seeming to get anywhere tangible.

My biggest fear with this project is exactly that; getting myself – and you – lost in a paralyzing cloud of vague abstractions – the mental and emotional equivalent of the chinese puzzle.

My first impulse to this fear was very Randian – I wanted to start by giving you fixed definitions and precise explanations full of science and psychology and epistemological justifications. What is an ‘Idea’? What does it mean to ‘believe’ an idea? How do they form? Where do they come from? What part of the brain are they made of? How do we know any of it is true? All incredibly fascinating questions, to me at least. But after falling flat a few times trying to reinvent that wheel, I realized something was missing.

I was forgetting the very purpose of this podcast – the link to the personal. While they are incredibly important, there’s nothing immediate, urgent, or relevant, in mere definitions and semantics. My main goal for this podcast is to help carve easily recognizable and comfortably traversable paths from the abstract notions of ideas to the toothbrush-and-coffee-cup life you’re living right now, and to try to help you become more aware of how ideas are affecting your moment-to-moment life, influencing your behavior, affecting the quality of your relationships, and attenuating the happiness you are capable of attaining.

In essence, what I want, is to help you understand your relationship to ideas, so that you can better understand your relationship to yourself, and to the people you’ve included in your life.

So, what is our relationship to ideas? I think if I’m going to have any success at trying to answer this question, I’m going to have to start by telling you what kind of relationship I have – and have had – with them. Truth be told, I have a very selfish motive in this task. I’m hope to learn as much from this podcast as I hope you are. But undoing the tangled threads of memory, experience, and emotion from the ideas that formed the raw cotton of those threads in me, is a task I’m finding incredibly difficult to tackle.

I’m neither a writer nor a speaker by trade or avocation, so please bear with my while I stumble my way through this. I suppose I’ll start with a memory. Let’s see where it leads.

As far back as I can recall, I’ve always been excited, exasperated, frightened, exhilarated, and fascinated by the “big” ideas. What do I mean by “big”? Well, in short, the ideas of the philosophers. Ideas about human life and the world, like “justice”, “love”, “fairness”, “knowledge”, “society”, “sacrifice”, and “self”. Ideas I’d originally only ever heard priests speak of, when I was very little. Ideas whose consideration I was constantly told were meant for moments of pure idle indulgence; for days when the snow was falling so hard that shoveling would be pointless. Days when all your “real” work was done, and you couldn’t think of anything else to help the household out. For moments that didn’t matter.

From the sound of it, one might think I lived on a farm as a boy. Nothing could be farther from the truth — or a more accurate descriptor. I lived in a middle-class suburb of Chicago with a father who tried very hard to run the house as if we were living on a 19th century farm. So, wiling away hours on books and contemplation were not prized activities, to say the least. Though, my brothers and I did manage to spend plenty of hours in front of the television, without much complaint.

Very early on, I realized somewhat unconsciously that idleness wasn’t really the problem, but the flood of questions and curiosities that filled the void of that idleness. Serious thought frightened my parents. And so, for a time, it frightened me too. When I rode home on the school bus, or walked behind the lawn mower on the weekends, or sat over a can of nails that needed straightening on a rainy day, I would spontaneously think thoughts like, “why do we believe in god?”, or “what makes something ‘beautiful’?”, or “where does happiness come from?”, or ” what kind of life do I want?”, or “why is there so much aggression in the world?”, but I’d never openly verbalize them. Usually, I would only give them a subtle glance, and then bat them away before anyone became suspicious of me. They were my dirty, guilty little secrets. Self-indulgences that would get me ridiculed or punished if I’d admitted to wasting time on them.

Books of this nature were also rare contraband in our household. While it was perfectly fine to bring library books home on topics such as marine biology or electrical engineering, topics like truth, beauty, love, and life were something to be avoided.  As such, it wasn’t until I was was in my early teens, before I was really able to sink my teeth into anything that had substance – at least to me. And it happened by sheer accident.

When I was 13, my father was very thankfully bedazzled by an Encyclopedia Britannica salesman into believing that his sons were doomed to menial labor work much like he’d done most of his life, if he wasn’t willing to invest in our education, through the fine burgundy-leather-bound set of books the salesman was generously offering him.

The basic set of encyclopedias came with an additional “bonus” set of books. This after-thought was to become the genesis of my first real awakening.

My father didn’t quite know what to do with them. After paying so much money (what would have been the equivalent of a base model compact car, in today’s dollars) he couldn’t bear the thought of disposing of them. We were middle-class, but just barely. Still, the way the salesman explained it, he really didn’t want his kids reading these things either. They asked a lot of questions. Questions he wanted nothing to do with. But if he forbade us from reading them, he might appear anti-education to us. That was out of the question. So, instead, he framed our access to them as a “special case”. If we could justify access to them, or did something extraordinarily productive, we’d be “gifted” time with a select book. Of course, this achieved the same effect: they were fundamentally out of reach to us — and he could insure this, because they were wrapped in cellophane.

That extra set of volumes was known as “The Great Books“, a compendium of what Mortimer Adler considered the authoritative canon of western thought. It included just about everyone you could think of from Aristotle to Orwell. My father had no idea who these people were or what they had to say, but he had very strong suspicions. If he had actually read any of these books, he’d have immediately hid them from us.

I’m not really sure what the debate in his head must have been like. Was there some part of him that secretly wished for us to soil ourselves with them? Was there some ancient part of his soul that yearned to live vicariously through our own voyage of self-discovery? What part of him kept them wrapped in cellophane, and meted our access to them, as though they were bottles of alcohol? What must the internal barbs of self-criticism and self-hatred been like for him to experience? I have an idea, because for years I was infected with the same poison of internal division. But I’ll never know the full truth.

Eventually, I was able to wear down my father’s recalcitrance, and my own anxieties, enough to gain access to JS Mill and The Federalist Papers. Somehow, I knew those would be relatively “safe” books to start with. The excitement was so great that I devoured them both in a few days time. My mind was overwhelmed with new information, new concepts, and new questions. I couldn’t wait to put what I’d read into actual practice. I spent the next few weeks grinding through my chores and my homework as fast as I could, in order to have time to work on my own project for our family, based on what I’d read in those two books.

You see, what I’d written, was a three-page document that was going to reconstitute our family. A Constitution. A Constitution Of The Family. I was mindful of the permanence and authority of my parents’ position, so I structured it as a Constitutional Monarchy. My father, the permanent executive; my mother the permanent Judiciary. My brothers and I were to take on the role of the legislative and various departmental executive tasks (there were four of us old enough for the responsibilities). Having read the commentaries on rights, I took special care to include a Bill Of Rights for us kids, to guard against encroachments by my parents where the rules were not clear.

It was going to be a masterpiece of ingenuity guided by the minds of James Madison and J.S. Mill, everyone was going to love it, and our family was going to be so much more happy and just and peaceful, when it was all explained and adopted. After all, my father was a reasonable man. Surely, he’d see this, and realize it was exactly what was missing in our lives!

I couldn’t possibly have been more mistaken.

One Sunday morning, I brought the pages down with me to breakfast, and sat on them waiting for my turn to talk. When I was given the floor, I pulled them out, held them up stiffly and began to read the first lines anxiously. My father interrupted. What was this? Why was I reading it? I handed them to him. He glanced over them quickly, a smirk snaked across his jaw, and he spoke.

“Is this what you’ve been spending your freetime on?”

“Yes! And I think it could work, if we…”

He held his hand up, stopping me. “Look, I understand you’re excited by those books. But this is just ridiculous. The way your mother and I handle this family has nothing to do with the Constitution or the Declaration of Independence. I admire your enthusiasm, but you really need to put this energy to better use, young man.”

And with that, he handed the papers back to me, without another thought, and without any additional opportunity for discussion. My brothers tittered around the table, feeling my humiliation and embarrassment for me. As for me, I was enraged and despairing. What had just happened? How could he just dismiss me like that? Why wasn’t this at least worth a healthy discussion? Why even put those books out for us to see, if they weren’t ever going to be taken seriously? Why couldn’t I be taken seriously?

Pouting and stomping were punishable by force, so instead, I sulked up to my bedroom, tore and crushed the papers in my fist as hard as I could, tossed the ball into my waste basket, dropped my head on my desk, and cried – as silently as I could manage.

I realized that day – whether I was right or wrong about the Constitution Of The Family – that ideas mattered more than anything in the world. They mattered so much that my own father would sooner humiliate and shame me in front of my entire family, than face the possibility that the ideas he held about himself and about his family might be wrong.

If there is anything that can be said for certain about human nature, it is that we all want to believe that what we are doing is right, and good.  That Sunday morning so long ago, I learned that valuable lesson. As far as my father was concerned, believing he was right was far more important than my believing I was loved.

For a very long time after that, I stopped caring about being right or being loved.

This podcast, then, is about how I regained my capacity to care – about being right, and about being loved.

