There has been a rash of [nail-biters][1] lately, all [nattering][2] about how horrible technology is, and [faffing breathlessly][3] about how the internet is destroying everything. Despite [more reasonable][4] voices appearing at [irregular][5] [intervals][6], the persisting social mythology is that all this new-fangled wizardry is [rotting your brain][7], and [making you lonely and depressed][8].

At some later date, I may spend some time speculating as to the source of this irrational anxiety (it predates the computer age, actually). But in the meantime, I would rather do my part to provide a counterpoint to the cacophony of disaster scenario dramas. So, here - in proper SEO friendly format - are the four reasons why I think modern technology is really super awesome and cool.

### 1. Computer Programming Languages
This may seem like a rather esoteric point. But, aside from writers like [Mortimer Adler][9] and [Isaac Asimov][10], learning to program was the single biggest influence on my capacity to reason and think critically. Computer languages, particularly the object oriented ones, enforce a kind of structural discipline in the conceptualization of a project that teaches you how to categorize and classify different kinds of ideas, in ways you wouldn't otherwise have tried.

They also provide a great practice for critical thinking. Though the syntax of computer languages isn't actually a strict lesson in propositional logic, I've found the procedural rigor in them to be fantastic exercise for the kinds of thinking required to analyze complex arguments in any persuasive context.

I do have one caveat to this, though. Here's an analogy: logic and the scientific method are excellent tools if your goal is problem solving, but they don't teach you problem solving itself. In the same way, programming languages are excellent tools for discovery and problem solving. But they also do not **teach you how to solve problems**.

Problem solving is fundamentally a **psychological** process, in which an impediment toward a goal is identified, and solutions are imagined with which to remove or mitigate the effects of that impediment. Computers offer one means of realizing solutions, and programming languages give us the basic grammar, syntax, and semantics with which to express ways of using that solution. This is where that structural discipline I mentioned earlier comes into play.

But as you can now see, programming languages are best understood as the cognitive interface between our underlying desires, and the real world in which we wish to realize them. They are the blueprints for the house. Not the house itself. And it takes a good engineer years of practice to transform them into a house of durability and elegance.

### 2. The Decentralization Of Learning
The reason Mortimer Adler and Isaac Asimov had such a significant influence on my early cognitive development, was because _I had easy access to them_. Their works were cheap, and so filled the bookshelves of my childhood home. I call this the Gutenberg-Bismark era of education, because most knowledge was only available in print books, and found in institutions like state schools and libraries. It is an era that came to an end only about 7 years ago. In it's place, a new era of learning is just on the horizon, and it may indeed finally put the last bullet into the dying horse of institutional "education".

For decades, futurists have been making grand (and ultimately disappointing) promises about how computers were going to radically reform classroom education. The irony in thier pronouncements, is that they were _not forward thinking enough_. Not only is technology "transforming the classroom", but in the coming decade, it is very likely to completely obliterate it. And you can see hints of this all over the internet today.

Obtaining the resources to receive an education in just about any subject of interest is getting easier and easier, and the way in which we judge the work of those who undertake those studies independently, is changing dramatically along with that. Society is becoming less and less reliant upon the implied authority of credentials and certifications, while the expectation of demonstrable skills, knowledge, and accomplishments are replacing them.

This decentralization is of course, not without its own challenges and flaws, but over the long term, the positive impact of technology in this sphere of society will be almost immeasurable. The elimination of cartelized clusters of knowledge means the elimination of a significant hierarchy, and the diminution of a large _center of systemic power_. It means the economic empowerment of millions of people who would never have had the opportunity without the technology. It means learning to cope with a society of far less structure, and far more dynamism than ever before. And we can already see the effects of this beginning with the various "dot com" booms of the last decade or so.

And all of this has taken place as a result of a free market. The longer we can cope with the freedom, the more transformative the effect will be. I hope it is continuous.

### 3. The Decentralization Of Media
Right now, no industry is more obviously an example of the decentralizing effect of technology, than the media. Corporate giants that once seemed like immutable oracles of news, are crumbling like so many high rises in a San Francisco earthquake. Journalists in every sector are facing intense waves of scrutiny from the critical eyes of wary and resourceful readers, all over the world, often aided by their saavy use of technology. New sources of information are bubbling up to the surface all the time, and the patterns of dissemination of this information look less and less like a pyramid, and more and more like overlapping spiderwebs.

There are many in the nail-biting community, who bemoan the potential atomizing isolation of narrow-casting for niche audiences. But this fear completely misinterprets the new media environment through the lens of a one-to-many relationship between producers and consumers of content. It also

The actual many-to-many environment that the internet has produced, is one of constant self-monitoring and self-correction, and has the paradoxical effect of providing the very same sorts of common narratives around which social groups already cluster in traditional media circles.

### 4. The Grenzenlos Society
I used to think my wife and I were a pair of anomalies that somehow managed to find each other by accident. Over the last 10 years, between us, we've had seven different home addresses in three different countries on two different continents (and we're not done yet). It's been a serious struggle to make all this happen, but mostly the challenges have been with political institutions impeding our movement. More on this, in a moment.

We both have careers in tech, in particular specialties that are considered "high demand" in the countries we've moved to (this was one of the factors lowering the barrier to entry for us). But neither of us is remarkably unique, in the sense of being diplomatically important, extremely wealthy, well-connected politically, prestigiously educated, or possessing any of the other typical "privilege" factors one would consider necessary for international travel that's not simple tourism.

As it turns out, we're not as unique as I thought we were. The tech field is positively swarming with people from all over the world, who live and work all over the world. And this new mobility is starting to spread to other industries. Technology is enabling a free market in labor, in ways nobody ever imagined possible, before the internet.

* Intellectual Property, DRM, Region restrictions, etc.
* Visas, work permits, immigration quotas, etc.
* Nationalism, territorialism, etc.


[1]:	https://www.youtube.com/watch?v=uquRzrcwA18
[2]:	http://www.huffingtonpost.com/2014/07/25/technology-intelligence_n_5617181.html
[3]:	http://www.dailymail.co.uk/news/article-2962509/How-internet-destroying-pioneers-hoped-web-transform-society-devastating-new-book-says-way-diminishes-humanity.html
[4]:	http://www.telegraph.co.uk/news/science/science-news/10844201/No-evidence-normal-internet-use-damages-brains-of-teenagers.html
[5]:	http://www.theguardian.com/society/2015/apr/01/future-of-loneliness-internet-isolation
[6]:	http://www.economist.com/news/books-and-arts/21614088-neuroscientist-warns-will-internet-eat-your-brain
[7]:	http://www.huffingtonpost.com/2013/10/17/clive-thompson_n_4111195.html
[8]:	http://www.wired.com/2014/09/is-the-internet-scrambling-our-teenagers-brains-we-dont-know-but-probably-not/
[9]:	http://www.britannica.com/biography/Mortimer-J-Adler
[10]:	http://www.asimovonline.com/oldsite/asimov_titles.html