# Role Models Of Testing Passion

In the late 1980's, BASF [advertise on television](https://www.youtube.com/watch?v=5NQuMr45xd4). They used a slogan that strongly resonates with me, as a software tester:

> "We don't make a lot of the products you buy. We make a lot of the products you buy, better."

If it weren't for a briefly produced line of discount VHS tapes, and that commercial, I might never have even heard of BASF. And their commercial slogan from that era implicitly admits the problem. 

As a software tester, I don't make a lot of the products you use. I just make a lot of them better. And you (more than likely) have never, ever heard of me. If you work in the tech sector, I'm sure you're probably aware of QA as a role that's talked about, or even a minor function of your own daily development routine, but I bet the smaller your shop is, the less likely you are to actually have a working relationship with a dedicated tester. 

#### The Need For Champions

Head on over to Google and punch in "famous software programmers." You'll get quite a list. Literally hundreds of nearly household names, spanning the alphabet from Andreesen, Berners-Lee, and Hanson, all the way to Wall, Wozniak, and Zuckerberg. Many of these people have their own professionally produced bio-flicks accompanying their names. 

Now, do another search. This time, try "famous software testers." You're going to find basically 4 names: James Bach, James Whitaker, Cem Kaner, and Martin Fowler. And I'll bet you're probably only vaguely aware of Bach and Fowler, because they're the only ones who have cultivated a public persona for themselves. And because, actually, Fowler is a software engineer, not a tester (though his work has contributed a lot to testing paradigms in software development). You get my point: nobody in the tech press is waiting breathlessly for any Steve Jobs-like keynote announcements from James Bach, and I doubt Zach Galifinakis or Oliver Platt are ever going to be asked to portray him on screen.

#### The Unanswered Question

It's fairly easy to see why BASF would choose to be BASF instead of Walmart, Microsoft, McDonald's, or even Goldman Sachs. They are the largest chemical company in the world, and a well-heeled veteran of Forbes' list of the 100 largest public companies by market value. In terms of revenues, they're even bigger than much more familiar names in chemistry like Bayer, Dow, and DuPont. BASF is trading notoriety for *profit* -- whack-loads of it.

But it's much harder to imagine why someone like James Bach (who is also a fairly skilled programmer, excellent speaker, and a very competent writer) would opt for a career battling against thankless anonymity in an industry that's positively crowded with mega-stars and a celebrity starved press just waiting for the next Uber-Geek. Perhaps its because the playing field for testing rockstars is still so open? I doubt it. There's certainly no Zuckerberg-style payoff waiting at the end of the testing rainbow. And for those of us who don't invest a great deal of effort into a social media presence, the payoff is even smaller. The best testers are the ones you never even realize were ever even there. It's the ultimate stealth profession.

What's worse, the "no news is good news", get-it-to-market-now environment has testers constantly on the defensive, trying to prove their value to the managers who hired them in the first place, trying to earn credibility from the developers who are either afraid of them or resent them, or both. They are only ever answering for failures because their successes are mostly invisible. Except when they make a point of showing them. At which point, you risk being labeled a 'flag waver'. Which makes this one of the most thankless professions in IT as well. 

So why do we do it? 

