# Testing And The Division Of Labor

One of The 18th century Enlightenment's most influential thinkers was a fellow by the name of Adam Smith. His seminal effort, "[The Wealth Of Nations](http://www.econlib.org/library/Smith/smWN1.html)", began the work of describing and defining free market economics as we understand it today. At the center of his thesis, is a concept known as "the division of labor", in which Smith identifies both a quantitative and qualitative distinction between various productive activities. 

By "qualitative", I mean he identified a *fundamental* distinction in the *kind* of work being done. For example, the difference between the farmer who cultivates wheat, and the miller who grinds and prepares the raw materials for baking (yet another division):

> "*It is impossible to separate so entirely, the business of the grazier from that of the corn-farmer, as the trade of the carpenter is commonly separated from that of the smith. The spinner is almost always a distinct person from the weaver;*" (On The Wealth of Nations, I.1.4)

By "quantitative", I mean he identified an impulse to divide the same *kind* of work in to ever smaller parts. His famous example of the pin-maker's factory highlights this distinction: 

> "*One man draws out the wire, another straights it, a third cuts it, a fourth points it, a fifth grinds it at the top for receiving the head; to make the head requires two or three distinct operations;*" (On The Wealth of Nations I.1.3)

These two kinds of division are essential to the efficient production of various goods, according to Smith, and this efficiency results in new value for the producer, as well as the society as a whole. The division of labor is, therefore, an intuitive impulse arising out of our own self-interest. 

While Smiths conclusions are of course debatable, his observations offer a key insight into the situation we face as software testers, and the push to automate the task of testing is an important clue to this insight. 

* The broad commercial and consumer market for software is extremely young. Software has only been available as a purchasable good since the late 1970's. 
* 


