# What Is A Tester
Last time, we talked about what a test is, and what sort of skills would be necessary to craft and execute effective tests. This time, we'll be discussing how this skillset is embodied. Namely, what constitutes a tester?

There seems to be three different senses in which we can consider this question:
1. What sort of person is a tester? What kind of character does he have? What is his psychology?
2. What kind of role does a tester have within the organization of the software development team? What differentiates her functionally, from her development, design, and product colleagues?
3. What activities does a tester engage in, and what skills are required for those activities?

The third sense is the sense I referred to in the previous post (What is a Test?). .

## Tester Mindset
How the tester sees himself, and how he interacts with the world around him, is a complicated question. Depending on the context and circumstances, the effective tester is any one of six different people.

### The Scientist
* Anthropologist, Psychologist, Technician
    * Hypotheses & Experiments
    * Inference / Induction are the main mental tools.

### The Explorer
* Tracker, Surveyer, Investigator
    * Synthesis from disparate and varied information channels
    * Intuition / Heuristics

### The Skeptic
* The Mythbuster
    * Analysis of claims
    * Deductive / Reductive
    * Cognitive bias and logical errors
* Trust but verify
    * Listen, but always compare it with reality.

### The Reporter
* What kind of information: Quality
    * Context
    * Currency
    * Consequences
    * Relevance
* How much information: Quantity
    * What is "enough"?
    * What is "too much"?
    * What is "too little"?
* Narrative as a selection tool
    * Bias influences

### Advocate
* Product Advocacy
    * When Bias Is Useful
* Customer Advocacy
    * Testers as users

### The Engineer
* The Continuous Improvement of testing
    * Automation, and its uses
    * Tester as software vendor
