# An Open Letter To The Conway Ethical Society

Whenever my wife and I move to a new place in which we're planning to stay for a long time, we work hard to make ourselves an active part of the community. We're fairly introverted people, but we do care about the places we live in. We study both the local pop and the high culture, we get involved in social and professional activities, and we especially like finding opportunities to grow intellectually and emotionally, so that we can offer something back to the community in return for our stay. 

So, when we moved to north London in December, one of the first things we committed ourselves to, was attending the Sunday morning lectures at Conway Hall. Our first, was the Peter Cresswell presentation on February 7. Given the credentials and career of the speaker, and having some awareness of the difficulty of the subject matter, I expected this to be challenging enough that I even took some time to brush up on my layman's knowledge of biblical textual criticism, before attending. Turns out, I didn't need to.

Cresswell did a decent enough job of providing an overview of the thesis of his latest book. But that's basically where the challenge ended. During question time, any query that actually pressed him to defend his theory was met with nothing more than verbal shrugs. The remainder of the time was spend giving audience members extended opportunities to bloviate on their own views of religion. This left me quite baffled and a little frustrated. But, I thought, maybe this was just a one-off. They're having a bad week. I should reserve judgment until more data is collected.

So, after a short pause, we returned in March. This time, to see Derek Bates speak. Derek's performance was quite shocking, actually - both in terms of the quality of his "argument", and in the quality of his presentation of that argument. He had almost nothing of substance to say, and didn't know how to say it. I won't go on anymore about it now, because I've already had a lot to say [here][1]. I'll just point out that question time - yet again - turned into nothing more than a time-sharing platform for regulars to pontificate on matters with which they had little to no expertise. But still, I thought to myself, maybe it's just the speaker. Maybe the group is struggling with focus issues right now. Maybe things will improve in the spring. As the weather warms, perhaps the meetings will as well.

But it didn't get better. In fact, it's getting much, much worse. With each successive visit, the "lectures" continue to drift between the banal and the self-congratulatory (often, with misleading and "baiting" titles that have nothing to do with the actual lecture content), and attempts by myself and my wife to actually engage the speakers intellectually with challenging questions, are beginning to be met with openly escalating hostility within the room (for example, one of the elderly women has taken it upon herself to hiss and grumble at us). 

And, there's one more thing I've noticed: All of the speakers have some sort of ongoing relationship with Conway. Like some sort of alumni association meeting, every lecture is an opportunity for a former executive member of this group to impress his/her former society members with all the amazing things they're doing.

To be fair, I'm not one to begrudge a local community of octogenarian pensioners their Sunday morning social club. And, if that is what Conway's Ethical Society is, so be it. I'll gladly dust off my sandals and move along. But, it would be great of you folks could change the name of your group, so as to not confuse those of us looking for something a little more enriching than that. How about "The Conway Hall Pensioners Sunday Chat Society", or something like that? If you called it that, it would have saved us both a lot of headaches and wasted time.

But if you actually are an "[Ethical Society][2]", driven by a desire to see positive change in the wider world around you, committed to widening and advancing better understandings of morality within society, and guided by the basic tenets of Humanist philosophy (like a commitment to reason and empiricism), then I must plead with you to have a good hard look at yourselves. You are aged and insular. You are utterly uninterested in any actual intellectual growth. You are utterly self-absorbed and openly hostile to divergence from an orthodoxy shared amongst a few aggressive regulars. You are talking and listening only to yourselves, and in the process you are driving away the very people over which you may actually have had some positive influence.

As it currently stands, I don't see this group surviving after the last of your core group joins the choir invisible. And that's pretty sad. Because we live in a world *starving* for guidance on ethical questions today. We are surrounded by politicians, and other charlatans, brazenly dismissing morality as archaic 19th century nonsense, as they march us off to war, after war, after war and drag us through one financial bungle after another. Meanwhile, the median age of your group is so high, it would probably surpass the life-expectancy of the surrounding population. And not only is nothing being done to bring in new blood, it is most decidedly *not welcome*. 

Today's lecture, ironically enough, asked the question 'is Humanism dead?' If one were to take the Conway Hall Ethical Society as an article of evidence in pursuit of this question, the answer would be unequivocally obvious: not only is Humanism dead, but it was murdered -- and it is Humanists themselves that have strangled it to death. 

[1]:	https://medium.com/@gmgauthier/philosopher-kings-and-smartphones-a91f51a276a7#.qj55i7kxd
[2]:	https://en.wikipedia.org/wiki/Ethical_movement