# Are We Owed A Living?

Today, I attended [another lecture hosted by the Conway Hall Ethical Society](http://www.meetup.com/ConwayHall/events/229462417/). The lecture was titled "*Are we owed a living?*", and the guest speaker, [Barb Jacobson](http://basicincome.org.uk/author/barbjacobson/), was slated ostensibly to argue the positive case for the proposition. 

Instead, the audience and I were accosted with what amounted to a political stump speech advocating for a social welfare policy called "[Unconditional Universal Basic Income](https://en.wikipedia.org/wiki/Basic_income)." Ms. Jacobson disingenuously book-ended her speech with the title of the meetup, but none of the actual body of her talk addressed the proposition, even indirectly. Jacobson chose instead to catalogue a litany of grievances she has with various British government welfare policies, and entreated us to adopt the UBI as an implicit remedy for these grievances. 

I'm eager to address this speech (and the question of the UBI in general) as there is much about the topic that strikes me as pure nonsense, and in dire need of debunking. However, that will have to wait. Because the main frustration I have today, is the fact that the original proposition got completely lost in all the *Sturm Und Drang* of today's completely irrelevant political debate. As the saying goes, "If you want something done right, you just have to do it yourself". So, to sate my frustration, today I am going to vigorously argue both a pro and con case for the proposition "**Are we owed a living?**", and hopefully also provide a rousingly persuasive conclusion. 

To begin with, I am a rather simple fellow. More sophisticated philosophical types are likely to scoff at my naive, sophomoric approach to philosophical questions, but as a simple fellow, I really do need to know exactly what it is we're actually talking about here. So, we need to define our terms. Otherwise, I'm just going to get lost trying to keep the debate straight in my head. As such, there are three questions that need answering:

1. Who are "We"? 
2. What do we mean by "owe", and who is doing the "owing"? 
3. What is a "Living", and how do I know when I've got it?

The question of who "we" are is really more psychological than it is philosophical. The "we" is really just a way of saying "I", in such a way as to deflect any suspicion of self-interest, while constructing a moral narrative to rationalize your demand.

Listening intently to Jacobson's screed this morning, I was struck by the amount of bitter resentment it contained, and how much she expected her audience to share those feelings. A steady stream of mustache-twirling bad-guys were depicted during her 20 Minutes Hate, and on cue, the audience energetically nodded along in agreement with her moral outrage. The sins these men visited upon their benighted victims were sins visited upon everyone in the room, according to Jacobson. There was no difference between the incorrigibly impoverished, and them. In otherwords, "we" are literally, every single "I" in that room.

So the debate question, really, is more accurately stated as "*Am __I__ Owed A Living?*", and the answer -- at least, in Jacobson's mind (and many minds present) -- is decidedly yes. What's more, who owes that living are the various Emmanuel Goldsteins she trotted out to act as targets for our disdain, who've all committed so many horrible evils (dastardly things, like: owning rentable properties). But Jacobson's argument is such a poor one. It's so bad that even I cannot in good conscience stand that up as my positive case. It would be too easy to dismantle (and hundreds before me have handily defeated similar empty demands for so-called "justice").

So, what if we took a more universal approach to, and more charitable understanding of these terms?  What would that look like? Let's say the "we" is every human being, between the moments after birth to the moments just before death. Even this raises a number of metaphysical and ethical questions, itself. But, just for the sake of brevity, let's assume we mean all living humans. 

Let's also take the most charitable understanding of "owed a living". To be owed something, is to hold a claim to some good 
