# White Noise

The political environment today requires those of us who engage in discussions regarding contemporary social questions to include a lot of ceremonial genuflecting at the alter of a very vague notion of "equality" that has almost no meaning whatsoever, and serves no other purpose than to signal to participants that yes, you too are "safe" because you have fully embibed in the same intellectual Kool-Aid consumption that they have. 

Nobody can explain to me in terms I can easily understand what it is they mean, when they say they think people "are all the same" or "should be equal". Few are even capable of sensing the categorical or context switches when they toss out these terms, and even fewer have the emotional backbone to entertain the possibility that the latter may not be a good idea, or even a realistically feasible goal. 

There is so much intellectual compression surrounding this term, that it is hard to know where to even begin. The list of assumptions and implicit premises is so long, I could write an entire book on the fundamentals of metaphysics, epistemology, and ethics, and still not unpack it all. Attempting to pick apart the hidden implications and unspoken assumptions of various examples I might find on the internet will only serve to muddy up the discussion with disputes over exactly what this person or that actually means, and whether making *those* assumptions is fair or not. Still, the preponderance of ignorance and misunderstanding around this concept is just too much for me to ignore anymore. So, I have to at least try. 

So, let me start by outlining the basic terms, in an order that seems to follow intuitively -- at least, for me. 

## Essential distinctions

First, let's start by clarifying the term itself, and distinguishing it from related terms that seem to get conflated and incorporated into what a lot of people think "equality is". 

So what is equality? Let's start with what it is not, to narrow our scope. 

The first thing equality is not, is "sameness" (in the sense of 'one in the same'). That is to say, in order for there to be a qualitative judgment of "equality", there must be two objects we are comparing. If there are two objects, they are not entirely the same, because they differ in one respect: their geospacial location (one ball here, another ball there). This is sometimes also referred to as "absolute equality" or "quantitatve equality", or "identity" (as in Aristotle's "Law Of Identity": A=A). A thing is identical to (the same as) itself. This works in mathematics, as well, in the form of an equation, e.g.: 2+2=4

Equality is also not general similarity. Poodles and Labradors are not 


